Bug 732607 (CVE-2011-3145) - CVE-2011-3145 ecryptfs-utils: incorrect mtab group ownership
Summary: CVE-2011-3145 ecryptfs-utils: incorrect mtab group ownership
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3145
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110823,reported=20110822,sou...
Depends On: 729470 729471 729472 729473
Blocks: 729476
TreeView+ depends on / blocked
 
Reported: 2011-08-23 05:20 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-03 08:30:47 UTC


Attachments (Terms of Use)
proposed patch (2.43 KB, patch)
2011-08-23 05:25 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1241 normal SHIPPED_LIVE Moderate: ecryptfs-utils security update 2011-08-31 19:40:57 UTC

Description Huzaifa S. Sidhpurwala 2011-08-23 05:20:06 UTC
When mount.ecrpytfs_private calls set setreuid() it doesn't also set the
effective group id. So when it creates the new version, mtab.tmp, it's
created with the group id of the user running mount.ecryptfs_private.

Reference: 
https://launchpad.net/bugs/830850

Comment 1 Huzaifa S. Sidhpurwala 2011-08-23 05:25:50 UTC
Created attachment 519393 [details]
proposed patch

Comment 3 Tomas Hoger 2011-08-24 07:26:40 UTC
Public now via Ubuntu advisory:
  http://www.ubuntu.com/usn/usn-1196-1/

Comment 6 errata-xmlrpc 2011-08-31 19:41:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1241 https://rhn.redhat.com/errata/RHSA-2011-1241.html


Note You need to log in before you can comment on or make changes to this bug.